
% ?- load_files(library(random)).
% ?- load_files(library(date)).
% ?- load_files(library(strings)).

?- use_module(library(random)).
?- use_module(library(system)).
?- use_module(library(lists)).

?- consult('~/prolog/GP_dctg/dynamics.pro').
?- consult('~/prolog/sre_dna/fast/dctg.pro').
?- consult('parameters_P.pro').
?- consult('~/prolog/stochregexpr/operators.pro').
?- consult('~/prolog/GP_dctg/dctg_pp.pro').
?- consult('~/prolog/stochregexpr/Sicstus/utils.pro').
?- dctg_file_P(FileDCTG),grammar(FileDCTG), make_grammar_table.
?- tell(compile_file),     % fast: new
	write('?- use_module(library(lists)).'),nl,
	listing,
	told.

?- consult('~/prolog/GP_dctg/ccs_utils.pro').
?- consult('~/prolog/sre_dna/fast/dctg_gen.pro').
?- consult('~/prolog/sre_dna/fast/dctg_reprod.pro').
?- consult('~/prolog/GP_dctg/dctg_utils.pro').
?- consult('~/prolog/sre_dna/fast/generate.pro').
?- consult('~/prolog/GP_dctg/gp_engine.pro').
?- consult('~/prolog/stochregexpr/lamarckian.pro').
?- consult('~/prolog/GP_dctg/evaluation.pro').
?- consult('~/prolog/sre_dna/file_stats.pro').

% following must follow 'parameters_P' above.
% Convenient to put here, as interactive debugging of DCTG-GP is easier.

?- consult('~/prolog/sre_dna/sre_mutation3.pro').
?- consult('~/prolog/sre_dna/sre_crossover3a.pro').
?- consult('~/prolog/sre_dna/dna_proc.pro').
?- consult('~/prolog/sre_dna/mask_optimizer.pro').

?- dna_file_P(DNA_file), consult(DNA_file).

?- fitness_func_P(File), consult(File). 

?- consult(fast:compile_file).
?- clean_up.

